### Method

# GtkSource Buffer change_case

#### Declaration [src]

    void
    gtk_source_buffer_change_case (
      GtkSourceBuffer* buffer,
      GtkSourceChangeCaseType case_type,
      GtkTextIter* start,
      GtkTextIter* end
    )

#### Description [src]

Changes the case of the text between the specified iterators.

Since 5.4, this function will update the position of `start` and `end` to surround the modified text.

#### Parameters

`case_type`

  Type: `GtkSourceChangeCaseType`

  How to change the case.

`start`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the method.

`end`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the method.